> ## Documentation Index
> Fetch the complete documentation index at: https://holder.docs.fiskil.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payee Detail

> Obtain detailed information on a single payee.

Note that the payee sub-structure should be selected to represent the payment destination only rather than any known characteristics of the payment recipient.



## OpenAPI

````yaml /openapi/cdr.yml get /v1/banking/customer/{customerId}/payees/{payeeId}
openapi: 3.0.3
info:
  description: Fiskil Data Holder as a Service (DHaaS) endpoints for the Energy sector
  title: Fiskil Data APIs
  version: 1.5.0
servers:
  - url: https://api.provider.fiskil.com
security:
  - bearerAuth: []
paths:
  /v1/banking/customer/{customerId}/payees/{payeeId}:
    get:
      tags:
        - Banking
        - Payees
      summary: Get Payee Detail
      description: >-
        Obtain detailed information on a single payee.


        Note that the payee sub-structure should be selected to represent the
        payment destination only rather than any known characteristics of the
        payment recipient.
      operationId: getPayeeDetail
      parameters:
        - $ref: '#/components/parameters/customerId'
        - description: The ID used to locate the details of a particular payee
          explode: false
          in: path
          name: payeeId
          required: true
          schema:
            type: string
            x-cds-type: ASCIIString
          style: simple
          x-cds-type: ASCIIString
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ResponseBankingPayeeByIdV2'
          description: Details of the requested payee
        '404':
          content:
            application/json:
              schema:
                properties:
                  errors:
                    items:
                      properties:
                        code:
                          description: >-
                            The CDR Invalid Resource error code:
                            `urn:au-cds:error:cds-all:Resource/Invalid`
                          type: string
                        title:
                          description: >-
                            A short, human-readable summary of the problem that
                            MUST NOT change from occurrence to occurrence of the
                            problem represented by the error code.
                          type: string
                        detail:
                          description: >-
                            A human-readable explanation specific to this
                            occurrence of the problem.
                          type: string
                      required:
                        - code
                        - detail
                        - title
                      type: object
                    type: array
                required:
                  - errors
                type: object
                example:
                  errors:
                    - code: urn:au-cds:error:cds-all:Resource/Invalid
                      title: Invalid payee ID
                      detail: A payee with the given ID does not exist
          description: >-
            CDR compatible 404 error for when the payee is not found. If the
            customer is not found, the response body is not required.
components:
  parameters:
    customerId:
      description: >-
        Unique ID of a customer. This ID must not change for the lifecycle of
        the customer
      explode: false
      in: path
      name: customerId
      required: true
      schema:
        type: string
      style: simple
  schemas:
    ResponseBankingPayeeByIdV2:
      example:
        data:
          payeeId: c9467d0d-4263-428d-9679-8424a48c47b0
          nickname: P Sherman
          description: My favourite dentist
          type: DOMESTIC
          creationDate: '2025-01-20T00:00:00.000Z'
          payeeUType: domestic
          domestic:
            payeeAccountUType: account
            account:
              accountName: Peter Sherman
              bsb: 111222
              accountNumber: 12345678
      properties:
        data:
          $ref: '#/components/schemas/BankingPayeeDetailV2'
      required:
        - data
      type: object
    BankingPayeeDetailV2:
      allOf:
        - $ref: '#/components/schemas/BankingPayeeV2'
        - $ref: '#/components/schemas/BankingPayeeDetailV2_allOf'
    BankingPayeeV2:
      properties:
        payeeId:
          description: ID of the payee adhering to the rules of ID permanence
          type: string
          x-cds-type: ASCIIString
        nickname:
          description: >-
            The short display name of the payee as provided by the customer.
            Where a customer has not provided a nickname, a display name derived
            by the bank for the payee consistent with existing digital banking
            channels
          type: string
        description:
          description: A description of the payee provided by the customer
          type: string
        type:
          description: >
            The type of payee.

            * *DOMESTIC* -- a registered payee for domestic payments including
            NPP.

            * *INTERNATIONAL* -- a registered payee for international payments.

            * *BILLER* -- a registered payee for BPAY.

            * *DIGITAL_WALLET* -- a registered payee for a bank's digital wallet
          enum:
            - BILLER
            - DIGITAL_WALLET
            - DOMESTIC
            - INTERNATIONAL
          type: string
        creationDate:
          description: The date the payee was created by the customer
          type: string
          x-cds-type: DateString
      required:
        - nickname
        - payeeId
        - type
      type: object
    BankingPayeeDetailV2_allOf:
      properties:
        payeeUType:
          description: Type of object included that describes the payee in detail
          enum:
            - biller
            - digitalWallet
            - domestic
            - international
          type: string
        biller:
          $ref: '#/components/schemas/BankingBillerPayee'
        domestic:
          $ref: '#/components/schemas/BankingDomesticPayee'
        digitalWallet:
          $ref: '#/components/schemas/BankingDigitalWalletPayee'
        international:
          $ref: '#/components/schemas/BankingInternationalPayee'
      required:
        - payeeUType
      type: object
      x-conditional:
        - biller
        - digitalWallet
        - domestic
        - international
    BankingBillerPayee:
      properties:
        billerCode:
          description: BPAY Biller Code of the Biller
          type: string
        crn:
          description: >-
            BPAY CRN of the Biller (if available).<br/>Where the CRN contains
            sensitive information, it should be masked in line with how the Data
            Holder currently displays account identifiers in their existing
            online banking channels. If the contents of the CRN match the format
            of a Credit Card PAN they should be masked according to the rules
            applicable for MaskedPANString. If the contents are otherwise
            sensitive, then it should be masked using the rules applicable for
            the MaskedAccountString common type.
          type: string
        billerName:
          description: Name of the Biller
          type: string
      required:
        - billerCode
        - billerName
      type: object
      x-conditional:
        - crn
    BankingDomesticPayee:
      properties:
        payeeAccountUType:
          description: >-
            Type of account object included. Valid values are: **account** A
            standard Australian account defined by BSB/Account Number. **card**
            A credit or charge card to pay to (note that PANs are masked).
            **payId** A PayID recognised by NPP
          enum:
            - account
            - card
            - payId
          type: string
        account:
          $ref: '#/components/schemas/BankingDomesticPayeeAccount'
        card:
          $ref: '#/components/schemas/BankingDomesticPayeeCard'
        payId:
          $ref: '#/components/schemas/BankingDomesticPayeePayId'
      required:
        - payeeAccountUType
      type: object
      x-conditional:
        - account
        - card
        - payId
    BankingDigitalWalletPayee:
      properties:
        name:
          description: >-
            The display name of the wallet as given by the customer, else a
            default value defined by the data holder
          type: string
        identifier:
          description: The identifier of the digital wallet (dependent on type)
          type: string
        type:
          description: The type of the digital wallet identifier
          enum:
            - EMAIL
            - CONTACT_NAME
            - TELEPHONE
          type: string
        provider:
          description: The provider of the digital wallet
          enum:
            - PAYPAL_AU
            - OTHER
          type: string
      required:
        - identifier
        - name
        - provider
        - type
      type: object
    BankingInternationalPayee:
      properties:
        beneficiaryDetails:
          $ref: '#/components/schemas/BankingInternationalPayee_beneficiaryDetails'
        bankDetails:
          $ref: '#/components/schemas/BankingInternationalPayee_bankDetails'
      required:
        - bankDetails
        - beneficiaryDetails
      type: object
    BankingDomesticPayeeAccount:
      properties:
        accountName:
          description: Name of the account to pay to
          type: string
        bsb:
          description: BSB of the account to pay to
          type: string
        accountNumber:
          description: Number of the account to pay to
          type: string
      required:
        - accountNumber
        - bsb
      type: object
    BankingDomesticPayeeCard:
      properties:
        cardNumber:
          description: Name of the account to pay to
          type: string
          x-cds-type: MaskedPANString
      required:
        - cardNumber
      type: object
    BankingDomesticPayeePayId:
      properties:
        name:
          description: The name assigned to the PayID by the owner of the PayID
          type: string
        identifier:
          description: The identifier of the PayID (dependent on type)
          type: string
        type:
          description: The type of the PayID
          enum:
            - ABN
            - EMAIL
            - ORG_IDENTIFIER
            - TELEPHONE
          type: string
      required:
        - identifier
        - type
      type: object
    BankingInternationalPayee_beneficiaryDetails:
      properties:
        name:
          description: Name of the beneficiary
          type: string
        country:
          description: >-
            Country where the beneficiary resides. A valid [ISO 3166
            Alpha-3](https://www.iso.org/iso-3166-country-codes.html) country
            code
          type: string
          x-cds-type: ExternalRef
        message:
          description: Response message for the payment
          type: string
      required:
        - country
      type: object
    BankingInternationalPayee_bankDetails:
      properties:
        country:
          description: >-
            Country of the recipient institution. A valid [ISO 3166
            Alpha-3](https://www.iso.org/iso-3166-country-codes.html) country
            code
          type: string
          x-cds-type: ExternalRef
        accountNumber:
          description: Account Targeted for payment
          type: string
        bankAddress:
          $ref: >-
            #/components/schemas/BankingInternationalPayee_bankDetails_bankAddress
        beneficiaryBankBIC:
          description: >-
            Swift bank code.  Aligns with standard [ISO
            9362](https://www.iso.org/standard/60390.html)
          type: string
          x-cds-type: ExternalRef
        fedWireNumber:
          description: Number for Fedwire payment (Federal Reserve Wire Network)
          type: string
        sortCode:
          description: Sort code used for account identification in some jurisdictions
          type: string
        chipNumber:
          description: Number for the Clearing House Interbank Payments System
          type: string
        routingNumber:
          description: International bank routing number
          type: string
        legalEntityIdentifier:
          description: >-
            The legal entity identifier (LEI) for the beneficiary.  Aligns with
            [ISO 17442](https://www.iso.org/standard/59771.html)
          type: string
          x-cds-type: ExternalRef
      required:
        - accountNumber
        - country
      type: object
    BankingInternationalPayee_bankDetails_bankAddress:
      properties:
        name:
          description: Name of the recipient Bank
          type: string
        address:
          description: Address of the recipient Bank
          type: string
      required:
        - address
        - name
      type: object
  securitySchemes:
    bearerAuth:
      description: >
        The Fiskil Data Provider will include a self-signed JWT as a Bearer
        token in the `Authorization` header.

        You should verify this JWT using the JWKS URL you can find for your Data
        Provider instance in the Fiskil

        Console. To verify the JWT you **must**:
          * Verify the signature
          * Ensure the token has not expired by checking the `exp` claim
          * The `sub` and `iss` claims are your data provider subdomain
          * The `aud` claim is the URI of the resource being requested (excluding any query parameters)
          * The `jti` value is unique
        For further detail on security and authentication refer to our
        [Authentication](/docs/get-started/authentication) documentation
      type: http
      scheme: bearer
      bearerFormat: JWT

````